<template>
  <c-page title="境内外币汇出汇款">
    <div class="eContainer">
    <c-bus-button :$pntvm="this"></c-bus-button>
      <el-form
        :model="model"
        :rules="rules"
        ref="modelForm"
        label-width="150px"
        size="small"
      >
        <c-tabs ref="elment" :value="tabVal" type="card" @tab-click="tabClick">
          <el-tab-pane label="Overview" name="opnp1">
            <!--PD000020 -->
            <c-content>
            <m-opnp1 :model="model" :codes="codes" />
            </c-content>
          </el-tab-pane>
          <el-tab-pane label="账务" name="setpan">
            <!--PD000006 -->
            <m-setpan :model="model" :codes="codes" />
          </el-tab-pane>
          <el-tab-pane label="附言" name="coninfp">
            <!--PD000000 -->
            <m-coninfp :model="model" :codes="codes" />
          </el-tab-pane>
          <el-tab-pane label="报文及面函" name="docpan">
            <!--PD000000 -->
            <m-docpan :model="model" :codes="codes" />
          </el-tab-pane>
          <el-tab-pane label="外管信息" name="wg">
            <!--PD000546 -->
            <m-wg :model="model" :codes="codes" />
          </el-tab-pane>
        </c-tabs>
      </el-form>
    </div>
  </c-page>
</template>

<script>
import Api from "~/service/Api";
import Utils from "~/utils/index";
import CodeTable from "~/config/CodeTable";
import Cptato from "~/model/Cptato";
import CommonProcess from "~/mixin/CommonProcess";
import Pattern from "~/model/Cptato/Pattern";
import Opnp1 from "./Opnp1";
import Wg from "./Wg";
import Setpan from "~/views/Public/Setpan";
import Coninfp from "~/views/Public/Coninfp";
import Docpan from "~/views/Public/Docpan";

export default {
    name: "Cptato",
    components:{
        "m-opnp1" : Opnp1,
        "m-setpan" : Setpan,
        "m-docpan" : Docpan,
        "m-coninfp" : Coninfp,
        "m-wg" : Wg,
    },
    provide() {
        return {
            root: this,
        };
    },
    mixins: [CommonProcess],    // 里面包含了Default、Check等的公共处理
    data(){
        return {
            tabVal: "opnp1",
            trnName: "cptato",
            model: new Cptato().data,
            rules: Pattern,
            codes: { ...CodeTable },
        };
    },
    methods:{
        myTabClick(tab){
            this.tabClick(tab)
            /**
            *  do it yourself
            **/
        }
     },
    created: async function () {
    console.log("进入cptato交易");
    // let rtnmsg = await Api.post("cptato/init",{params:{}});
    let rtnmsg = await this.init(this.$route.query);
    if (rtnmsg.respCode == SUCCESS) {
      //TODO 处理数据逻辑
      Utils.copyValueFromVO(this.model, rtnmsg.data);
      if (this.isInDisplay) {
        this.restoreDisplay();
      }
    } else {
      this.$notify.error({ title: "错误", message: "服务请求失败！" });
    }
  },
};
</script>
<style>

</style>
